> For the complete documentation index, see [llms.txt](https://docs.bbchain.com.br/bbchain-ebs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bbchain.com.br/bbchain-ebs/bbchain-ebs-pt/para-desenvolvedores/api-reference/network-management/network/ptah-governance-api-controller.md).

# Ptah Governance Api Controller

## GET /v3/networks/{id}/governance

> Get the Ptah Governance By Id

```json
{"openapi":"3.1.0","info":{"title":"EBS Network API","version":"0.1.0"},"servers":[{"url":"https://netw-p-bk-api.saas.ebs.bbchain.network","description":"Generated server url"}],"paths":{"/v3/networks/{id}/governance":{"get":{"tags":["ptah-governance-api-controller"],"summary":"Get the Ptah Governance By Id","operationId":"getPtahGovernanceById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Successful Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PtahGovernanceDTO"}}}}}}}},"components":{"schemas":{"PtahGovernanceDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"type":{"type":"string"},"identifier":{"type":"string","description":"Name generated from the user friendly name and used to create the component deployment"},"currentStatus":{"type":"string","enum":["CREATING","RUNNING","UPDATING","STOPPING","STOPPED","RESTARTING","STARTING","DELETING","UNKNOWN","ERROR"]},"integrationLayer":{"$ref":"#/components/schemas/PtahIntegrationLayerDTO"},"balanceNodes":{"type":"array","items":{"$ref":"#/components/schemas/PtahBalanceNodeDTO"}},"proofs":{"type":"array","items":{"$ref":"#/components/schemas/PtahProofDTO"}},"matchers":{"type":"array","items":{"$ref":"#/components/schemas/PtahMatcherNodeDTO"}},"dispatchers":{"type":"array","items":{"$ref":"#/components/schemas/PtahDispatcherNodeDTO"}},"network":{"$ref":"#/components/schemas/ComponentIdDTO"},"tenant":{"$ref":"#/components/schemas/ComponentIdDTO"},"organization":{"$ref":"#/components/schemas/ComponentIdDTO"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"endpoint":{"type":"string","format":"uri"},"identities":{"type":"array","items":{"$ref":"#/components/schemas/PtahIdentityDTO"}},"subscription":{"$ref":"#/components/schemas/ComponentIdDTO"}},"required":["balanceNodes","currentStatus","dispatchers","id","identifier","integrationLayer","matchers","name","network","organization","proofs","tenant","type"]},"PtahIntegrationLayerDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"type":{"type":"string"},"identifier":{"type":"string","description":"Name generated from the user friendly name and used to create the component deployment"},"currentStatus":{"type":"string","enum":["CREATING","RUNNING","UPDATING","STOPPING","STOPPED","RESTARTING","STARTING","DELETING","UNKNOWN","ERROR"]},"governedBy":{"$ref":"#/components/schemas/ComponentIdDTO"},"network":{"$ref":"#/components/schemas/ComponentIdDTO"},"tenant":{"$ref":"#/components/schemas/ComponentIdDTO"},"organization":{"$ref":"#/components/schemas/ComponentIdDTO"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"endpoint":{"type":"string","format":"uri"},"subscription":{"$ref":"#/components/schemas/ComponentIdDTO"}},"required":["currentStatus","governedBy","id","identifier","name","network","organization","tenant","type"]},"ComponentIdDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"type":{"type":"string"}},"required":["id","name","type"]},"PtahBalanceNodeDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"type":{"type":"string"},"identifier":{"type":"string","description":"Name generated from the user friendly name and used to create the component deployment"},"currentStatus":{"type":"string","enum":["CREATING","RUNNING","UPDATING","STOPPING","STOPPED","RESTARTING","STARTING","DELETING","UNKNOWN","ERROR"]},"explorer":{"$ref":"#/components/schemas/PtahExplorerDTO"},"network":{"$ref":"#/components/schemas/ComponentIdDTO"},"governedBy":{"$ref":"#/components/schemas/ComponentIdDTO"},"integratedBy":{"$ref":"#/components/schemas/ComponentIdDTO"},"tenant":{"$ref":"#/components/schemas/ComponentIdDTO"},"organization":{"$ref":"#/components/schemas/ComponentIdDTO"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"endpoint":{"type":"string","format":"uri"},"blockchainIntegration":{"$ref":"#/components/schemas/ExternalIntegrationDTO"},"subscription":{"$ref":"#/components/schemas/ComponentIdDTO"}},"required":["currentStatus","explorer","governedBy","id","identifier","integratedBy","name","network","organization","tenant","type"]},"PtahExplorerDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"type":{"type":"string"},"identifier":{"type":"string","description":"Name generated from the user friendly name and used to create the component deployment"},"currentStatus":{"type":"string","enum":["CREATING","RUNNING","UPDATING","STOPPING","STOPPED","RESTARTING","STARTING","DELETING","UNKNOWN","ERROR"]},"component":{"$ref":"#/components/schemas/ComponentIdDTO"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"endpoint":{"type":"string","format":"uri"},"network":{"$ref":"#/components/schemas/ComponentIdDTO"},"tenant":{"$ref":"#/components/schemas/ComponentIdDTO"},"organization":{"$ref":"#/components/schemas/ComponentIdDTO"},"subscription":{"$ref":"#/components/schemas/ComponentIdDTO"}},"required":["component","currentStatus","id","identifier","name","type"]},"ExternalIntegrationDTO":{"type":"object","properties":{"source":{"type":"string","enum":["EBS","ON_PREMISE"]},"protocol":{"type":"string","enum":["BESU","DB"]},"nodeId":{"type":"integer","format":"int64"},"jdbcUrl":{"type":"string"},"nodeUrl":{"type":"string"}},"required":["protocol","source"]},"PtahProofDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"type":{"type":"string"},"identifier":{"type":"string","description":"Name generated from the user friendly name and used to create the component deployment"},"currentStatus":{"type":"string","enum":["CREATING","RUNNING","UPDATING","STOPPING","STOPPED","RESTARTING","STARTING","DELETING","UNKNOWN","ERROR"]},"blockchainIntegration":{"$ref":"#/components/schemas/ExternalIntegrationDTO"},"explorer":{"$ref":"#/components/schemas/PtahExplorerDTO"},"network":{"$ref":"#/components/schemas/ComponentIdDTO"},"governedBy":{"$ref":"#/components/schemas/ComponentIdDTO"},"integratedBy":{"$ref":"#/components/schemas/ComponentIdDTO"},"tenant":{"$ref":"#/components/schemas/ComponentIdDTO"},"organization":{"$ref":"#/components/schemas/ComponentIdDTO"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"endpoint":{"type":"string","format":"uri"},"subscription":{"$ref":"#/components/schemas/ComponentIdDTO"}},"required":["blockchainIntegration","currentStatus","explorer","governedBy","id","identifier","integratedBy","name","network","organization","tenant","type"]},"PtahMatcherNodeDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"type":{"type":"string"},"identifier":{"type":"string","description":"Name generated from the user friendly name and used to create the component deployment"},"currentStatus":{"type":"string","enum":["CREATING","RUNNING","UPDATING","STOPPING","STOPPED","RESTARTING","STARTING","DELETING","UNKNOWN","ERROR"]},"governedBy":{"$ref":"#/components/schemas/ComponentIdDTO"},"integratedBy":{"$ref":"#/components/schemas/ComponentIdDTO"},"explorer":{"$ref":"#/components/schemas/PtahExplorerDTO"},"network":{"$ref":"#/components/schemas/ComponentIdDTO"},"tenant":{"$ref":"#/components/schemas/ComponentIdDTO"},"organization":{"$ref":"#/components/schemas/ComponentIdDTO"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"endpoint":{"type":"string","format":"uri"},"subscription":{"$ref":"#/components/schemas/ComponentIdDTO"}},"required":["currentStatus","explorer","governedBy","id","identifier","integratedBy","name","network","organization","tenant","type"]},"PtahDispatcherNodeDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string","description":"User Friendly Name"},"type":{"type":"string"},"identifier":{"type":"string","description":"Name generated from the user friendly name and used to create the component deployment"},"currentStatus":{"type":"string","enum":["CREATING","RUNNING","UPDATING","STOPPING","STOPPED","RESTARTING","STARTING","DELETING","UNKNOWN","ERROR"]},"governedBy":{"$ref":"#/components/schemas/ComponentIdDTO"},"integratedBy":{"$ref":"#/components/schemas/ComponentIdDTO"},"explorer":{"$ref":"#/components/schemas/PtahExplorerDTO"},"tenant":{"$ref":"#/components/schemas/ComponentIdDTO"},"organization":{"$ref":"#/components/schemas/ComponentIdDTO"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"endpoint":{"type":"string","format":"uri"},"network":{"$ref":"#/components/schemas/ComponentIdDTO"},"subscription":{"$ref":"#/components/schemas/ComponentIdDTO"}},"required":["currentStatus","explorer","governedBy","id","identifier","integratedBy","name","organization","tenant","type"]},"PtahIdentityDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"type":{"type":"string"},"identifier":{"type":"string","description":"Name generated from the user friendly name and used to create the component deployment"},"currentStatus":{"type":"string","enum":["CREATING","RUNNING","UPDATING","STOPPING","STOPPED","RESTARTING","STARTING","DELETING","UNKNOWN","ERROR"]},"governedBy":{"$ref":"#/components/schemas/ComponentIdDTO"},"integratedBy":{"$ref":"#/components/schemas/ComponentIdDTO"},"network":{"$ref":"#/components/schemas/ComponentIdDTO"},"tenant":{"$ref":"#/components/schemas/ComponentIdDTO"},"organization":{"$ref":"#/components/schemas/ComponentIdDTO"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"subscription":{"$ref":"#/components/schemas/ComponentIdDTO"}},"required":["currentStatus","governedBy","id","identifier","integratedBy","name","network","organization","tenant","type"]}}}}
```

## PATCH /v3/networks/{id}/governance

> Patch the Ptah Governance By Id

```json
{"openapi":"3.1.0","info":{"title":"EBS Network API","version":"0.1.0"},"servers":[{"url":"https://netw-p-bk-api.saas.ebs.bbchain.network","description":"Generated server url"}],"paths":{"/v3/networks/{id}/governance":{"patch":{"tags":["ptah-governance-api-controller"],"summary":"Patch the Ptah Governance By Id","operationId":"patchPtahGovernanceById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EbsComponentUpdateRequest"}}},"required":true},"responses":{"200":{"description":"Successful Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PtahGovernanceDTO"}}}}}}}},"components":{"schemas":{"EbsComponentUpdateRequest":{"type":"object","properties":{"name":{"type":"string","description":"User Friendly Name"},"operation":{"type":"string","enum":["RENAME","START","STOP","RESTART"]}}},"PtahGovernanceDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"type":{"type":"string"},"identifier":{"type":"string","description":"Name generated from the user friendly name and used to create the component deployment"},"currentStatus":{"type":"string","enum":["CREATING","RUNNING","UPDATING","STOPPING","STOPPED","RESTARTING","STARTING","DELETING","UNKNOWN","ERROR"]},"integrationLayer":{"$ref":"#/components/schemas/PtahIntegrationLayerDTO"},"balanceNodes":{"type":"array","items":{"$ref":"#/components/schemas/PtahBalanceNodeDTO"}},"proofs":{"type":"array","items":{"$ref":"#/components/schemas/PtahProofDTO"}},"matchers":{"type":"array","items":{"$ref":"#/components/schemas/PtahMatcherNodeDTO"}},"dispatchers":{"type":"array","items":{"$ref":"#/components/schemas/PtahDispatcherNodeDTO"}},"network":{"$ref":"#/components/schemas/ComponentIdDTO"},"tenant":{"$ref":"#/components/schemas/ComponentIdDTO"},"organization":{"$ref":"#/components/schemas/ComponentIdDTO"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"endpoint":{"type":"string","format":"uri"},"identities":{"type":"array","items":{"$ref":"#/components/schemas/PtahIdentityDTO"}},"subscription":{"$ref":"#/components/schemas/ComponentIdDTO"}},"required":["balanceNodes","currentStatus","dispatchers","id","identifier","integrationLayer","matchers","name","network","organization","proofs","tenant","type"]},"PtahIntegrationLayerDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"type":{"type":"string"},"identifier":{"type":"string","description":"Name generated from the user friendly name and used to create the component deployment"},"currentStatus":{"type":"string","enum":["CREATING","RUNNING","UPDATING","STOPPING","STOPPED","RESTARTING","STARTING","DELETING","UNKNOWN","ERROR"]},"governedBy":{"$ref":"#/components/schemas/ComponentIdDTO"},"network":{"$ref":"#/components/schemas/ComponentIdDTO"},"tenant":{"$ref":"#/components/schemas/ComponentIdDTO"},"organization":{"$ref":"#/components/schemas/ComponentIdDTO"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"endpoint":{"type":"string","format":"uri"},"subscription":{"$ref":"#/components/schemas/ComponentIdDTO"}},"required":["currentStatus","governedBy","id","identifier","name","network","organization","tenant","type"]},"ComponentIdDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"type":{"type":"string"}},"required":["id","name","type"]},"PtahBalanceNodeDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"type":{"type":"string"},"identifier":{"type":"string","description":"Name generated from the user friendly name and used to create the component deployment"},"currentStatus":{"type":"string","enum":["CREATING","RUNNING","UPDATING","STOPPING","STOPPED","RESTARTING","STARTING","DELETING","UNKNOWN","ERROR"]},"explorer":{"$ref":"#/components/schemas/PtahExplorerDTO"},"network":{"$ref":"#/components/schemas/ComponentIdDTO"},"governedBy":{"$ref":"#/components/schemas/ComponentIdDTO"},"integratedBy":{"$ref":"#/components/schemas/ComponentIdDTO"},"tenant":{"$ref":"#/components/schemas/ComponentIdDTO"},"organization":{"$ref":"#/components/schemas/ComponentIdDTO"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"endpoint":{"type":"string","format":"uri"},"blockchainIntegration":{"$ref":"#/components/schemas/ExternalIntegrationDTO"},"subscription":{"$ref":"#/components/schemas/ComponentIdDTO"}},"required":["currentStatus","explorer","governedBy","id","identifier","integratedBy","name","network","organization","tenant","type"]},"PtahExplorerDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"type":{"type":"string"},"identifier":{"type":"string","description":"Name generated from the user friendly name and used to create the component deployment"},"currentStatus":{"type":"string","enum":["CREATING","RUNNING","UPDATING","STOPPING","STOPPED","RESTARTING","STARTING","DELETING","UNKNOWN","ERROR"]},"component":{"$ref":"#/components/schemas/ComponentIdDTO"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"endpoint":{"type":"string","format":"uri"},"network":{"$ref":"#/components/schemas/ComponentIdDTO"},"tenant":{"$ref":"#/components/schemas/ComponentIdDTO"},"organization":{"$ref":"#/components/schemas/ComponentIdDTO"},"subscription":{"$ref":"#/components/schemas/ComponentIdDTO"}},"required":["component","currentStatus","id","identifier","name","type"]},"ExternalIntegrationDTO":{"type":"object","properties":{"source":{"type":"string","enum":["EBS","ON_PREMISE"]},"protocol":{"type":"string","enum":["BESU","DB"]},"nodeId":{"type":"integer","format":"int64"},"jdbcUrl":{"type":"string"},"nodeUrl":{"type":"string"}},"required":["protocol","source"]},"PtahProofDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"type":{"type":"string"},"identifier":{"type":"string","description":"Name generated from the user friendly name and used to create the component deployment"},"currentStatus":{"type":"string","enum":["CREATING","RUNNING","UPDATING","STOPPING","STOPPED","RESTARTING","STARTING","DELETING","UNKNOWN","ERROR"]},"blockchainIntegration":{"$ref":"#/components/schemas/ExternalIntegrationDTO"},"explorer":{"$ref":"#/components/schemas/PtahExplorerDTO"},"network":{"$ref":"#/components/schemas/ComponentIdDTO"},"governedBy":{"$ref":"#/components/schemas/ComponentIdDTO"},"integratedBy":{"$ref":"#/components/schemas/ComponentIdDTO"},"tenant":{"$ref":"#/components/schemas/ComponentIdDTO"},"organization":{"$ref":"#/components/schemas/ComponentIdDTO"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"endpoint":{"type":"string","format":"uri"},"subscription":{"$ref":"#/components/schemas/ComponentIdDTO"}},"required":["blockchainIntegration","currentStatus","explorer","governedBy","id","identifier","integratedBy","name","network","organization","tenant","type"]},"PtahMatcherNodeDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"type":{"type":"string"},"identifier":{"type":"string","description":"Name generated from the user friendly name and used to create the component deployment"},"currentStatus":{"type":"string","enum":["CREATING","RUNNING","UPDATING","STOPPING","STOPPED","RESTARTING","STARTING","DELETING","UNKNOWN","ERROR"]},"governedBy":{"$ref":"#/components/schemas/ComponentIdDTO"},"integratedBy":{"$ref":"#/components/schemas/ComponentIdDTO"},"explorer":{"$ref":"#/components/schemas/PtahExplorerDTO"},"network":{"$ref":"#/components/schemas/ComponentIdDTO"},"tenant":{"$ref":"#/components/schemas/ComponentIdDTO"},"organization":{"$ref":"#/components/schemas/ComponentIdDTO"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"endpoint":{"type":"string","format":"uri"},"subscription":{"$ref":"#/components/schemas/ComponentIdDTO"}},"required":["currentStatus","explorer","governedBy","id","identifier","integratedBy","name","network","organization","tenant","type"]},"PtahDispatcherNodeDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string","description":"User Friendly Name"},"type":{"type":"string"},"identifier":{"type":"string","description":"Name generated from the user friendly name and used to create the component deployment"},"currentStatus":{"type":"string","enum":["CREATING","RUNNING","UPDATING","STOPPING","STOPPED","RESTARTING","STARTING","DELETING","UNKNOWN","ERROR"]},"governedBy":{"$ref":"#/components/schemas/ComponentIdDTO"},"integratedBy":{"$ref":"#/components/schemas/ComponentIdDTO"},"explorer":{"$ref":"#/components/schemas/PtahExplorerDTO"},"tenant":{"$ref":"#/components/schemas/ComponentIdDTO"},"organization":{"$ref":"#/components/schemas/ComponentIdDTO"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"endpoint":{"type":"string","format":"uri"},"network":{"$ref":"#/components/schemas/ComponentIdDTO"},"subscription":{"$ref":"#/components/schemas/ComponentIdDTO"}},"required":["currentStatus","explorer","governedBy","id","identifier","integratedBy","name","organization","tenant","type"]},"PtahIdentityDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"type":{"type":"string"},"identifier":{"type":"string","description":"Name generated from the user friendly name and used to create the component deployment"},"currentStatus":{"type":"string","enum":["CREATING","RUNNING","UPDATING","STOPPING","STOPPED","RESTARTING","STARTING","DELETING","UNKNOWN","ERROR"]},"governedBy":{"$ref":"#/components/schemas/ComponentIdDTO"},"integratedBy":{"$ref":"#/components/schemas/ComponentIdDTO"},"network":{"$ref":"#/components/schemas/ComponentIdDTO"},"tenant":{"$ref":"#/components/schemas/ComponentIdDTO"},"organization":{"$ref":"#/components/schemas/ComponentIdDTO"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"subscription":{"$ref":"#/components/schemas/ComponentIdDTO"}},"required":["currentStatus","governedBy","id","identifier","integratedBy","name","network","organization","tenant","type"]}}}}
```
